Package tigase.db.util

## Class SchemaLoader.TypeInfo

- java.lang.Object
- - tigase.db.util.SchemaLoader.TypeInfo

- All Implemented Interfaces:
    `java.lang.Comparable<SchemaLoader.TypeInfo>`
  Enclosing class:
    SchemaLoader<P extends SchemaLoader.Parameters>

      public static class SchemaLoader.TypeInfo
      extends java.lang.Object
      implements java.lang.Comparable<SchemaLoader.TypeInfo>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeInfo​(int ordinal, java.lang.String name, java.lang.String label, java.lang.String driverClassName)` |
    `TypeInfo​(int ordinal, java.lang.String name, java.lang.String label, java.lang.String driverClassName, java.lang.String warning)` |
    `TypeInfo​(java.lang.String name, java.lang.String label, java.lang.String driverClassName)` |
    `TypeInfo​(java.lang.String name, java.lang.String label, java.lang.String driverClassName, java.lang.String warning)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(SchemaLoader.TypeInfo o)` |
    `protected java.lang.String` | `getDriverClassName()` |
    `java.lang.String` | `getLabel()` |
    `java.lang.String` | `getName()` |
    `int` | `getOrdinal()` |
    `java.lang.String` | `getWarning()` |
    `boolean` | `isAvailable()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeInfo

          public TypeInfo​(java.lang.String name,
                          java.lang.String label,
                          java.lang.String driverClassName)

    - #### TypeInfo

          public TypeInfo​(int ordinal,
                          java.lang.String name,
                          java.lang.String label,
                          java.lang.String driverClassName)

    - #### TypeInfo

          public TypeInfo​(java.lang.String name,
                          java.lang.String label,
                          java.lang.String driverClassName,
                          java.lang.String warning)

    - #### TypeInfo

          public TypeInfo​(int ordinal,
                          java.lang.String name,
                          java.lang.String label,
                          java.lang.String driverClassName,
                          java.lang.String warning)

  - ### Method Detail

    - #### getOrdinal

          public int getOrdinal()

    - #### getName

          public java.lang.String getName()

    - #### getLabel

          public java.lang.String getLabel()

    - #### getWarning

          public java.lang.String getWarning()

    - #### isAvailable

          public boolean isAvailable()

    - #### compareTo

          public int compareTo​(SchemaLoader.TypeInfo o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<SchemaLoader.TypeInfo>`

    - #### getDriverClassName

          protected java.lang.String getDriverClassName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`